using System;
using System.Runtime.Serialization;

namespace GridControl
{
	/// <summary>
	/// Object-relational mapping object which represents the database object SENDS_MESSAGE_HEADER_INBOX_V.
	/// </summary>
	[DataContract, Serializable]
	public class MessageHeaderInbox
	{
	    /// <summary>
	    /// Gets or sets an object that represents a column within the database object SENDS_MESSAGE_HEADER_INBOX_V type of UniqueIdentifier.
	    /// </summary>
	    [DataMember]
	    public Guid MessageId { get; set; }

	    /// <summary>
	    /// Gets or sets an object that represents a column within the database object SENDS_MESSAGE_HEADER_INBOX_V type of Int.
	    /// </summary>
	    [DataMember]
	    public int MessageImportanceLevel { get; set; }

	    /// <summary>
	    /// Gets or sets an object that represents a column within the database object SENDS_MESSAGE_HEADER_INBOX_V type of VarChar(255).
	    /// </summary>
	    [DataMember]
	    public string MessageSubject { get; set; }

	    /// <summary>
	    /// Gets or sets an object that represents a column within the database object SENDS_MESSAGE_HEADER_INBOX_V type of UniqueIdentifier.
	    /// </summary>
	    [DataMember]
	    public Guid SenderId { get; set; }

	    /// <summary>
	    /// Gets or sets an object that represents a column within the database object SENDS_MESSAGE_HEADER_INBOX_V type of VarChar(100).
	    /// </summary>
	    [DataMember]
	    public string SenderName { get; set; }

	    /// <summary>
	    /// Gets or sets an object that represents a column within the database object SENDS_MESSAGE_HEADER_INBOX_V type of Int.
	    /// </summary>
	    [DataMember]
	    public int RespondOption { get; set; }

	    /// <summary>
	    /// Gets or sets an object that represents a column within the database object SENDS_MESSAGE_HEADER_INBOX_V type of Bit.
	    /// </summary>
	    [DataMember]
	    public bool MarkedUnread { get; set; }

	    /// <summary>
	    /// Gets or sets an object that represents a column within the database object SENDS_MESSAGE_HEADER_INBOX_V type of DateTime.
	    /// </summary>
	    [DataMember]
	    public DateTime? DateReceived { get; set; }

	    /// <summary>
	    /// Gets or sets an object that represents a column within the database object SENDS_MESSAGE_HEADER_INBOX_V type of BigInt.
	    /// </summary>
	    [DataMember]
	    public long AttachmentsSize { get; set; }

	}
}
